Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.json
Class DomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.json.DomainClassMarshaller

All Implemented Interfaces:
  ObjectMarshaller<JSON>

Direct Known Subclasses:
  DeepDomainClassMarshaller

    public class DomainClassMarshaller

extends Object
implements ObjectMarshaller<JSON>

Since:
  1.1
Author:
  Siegfried Puchbauer

Constructor Summary
`DomainClassMarshaller(boolean includeVersion)`
`DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler)`

Method Summary
`protected void` | `asShortObject(Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)`
`protected Object` | `extractValue(Object domainObject, GrailsDomainClassProperty property)`
`boolean` | `isIncludeVersion()`
`protected boolean` | `isRenderDomainClassRelations()`
`void` | `marshalObject(Object value, JSON json)` Performs the conversion
`void` | `setIncludeVersion(boolean includeVersion)`
`boolean` | `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion)

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion,
                                 ProxyHandler proxyHandler)

Method Detail

### isIncludeVersion

    public boolean isIncludeVersion()

### setIncludeVersion

    public void setIncludeVersion(boolean includeVersion)

### supports

    public boolean supports(Object object)

  Description copied from interface: `ObjectMarshaller`
  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Specified by:
    `supports` in interface `ObjectMarshaller<JSON>`
  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    public void marshalObject(Object value,
                              JSON json)
                       throws ConverterException

  Description copied from interface: `ObjectMarshaller`
  Performs the conversion

  Specified by:
    `marshalObject` in interface `ObjectMarshaller<JSON>`
  Parameters:
    `value` - the object which is about getting converted
    `json` - the Converter to use
  Throws:
    `ConverterException` - on failure

### asShortObject

    protected void asShortObject(Object refObj,
                                 JSON json,
                                 GrailsDomainClassProperty idProperty,
                                 GrailsDomainClass referencedDomainClass)
                          throws ConverterException

  Throws:
    `ConverterException`

### extractValue

    protected Object extractValue(Object domainObject,
                                  GrailsDomainClassProperty property)

### isRenderDomainClassRelations

    protected boolean isRenderDomainClassRelations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project